{
  "$schema": "https://schema.tauri.app/config/2",
  "productName": "Raven",
  "version": "0.2.0",
  "identifier": "br.com.esdrasrenan.sistemadechamados",
  "build": {
    "beforeDevCommand": "bun run dev",
    "devUrl": "http://localhost:1420",
    "beforeBuildCommand": "bun run build",
    "frontendDist": "../dist"
  },
  "app": {
    "withGlobalTauri": true,
    "windows": [
      {
        "title": "Raven",
        "width": 1100,
        "height": 720,
        "resizable": true,
        "fullscreen": false,
        "maximized": true
      }
    ],
    "security": {
      "csp": null
    }
  },
  "plugins": {
    "updater": {
      "endpoints": [
        "https://raw.githubusercontent.com/esdrasrenan/sistema-de-chamados/main/apps/desktop/public/latest.json"
      ],
      "dialog": true,
      "active": true,
      "pubkey": "dW50cnVzdGVkIGNvbW1lbnQ6IG1pbmlzaWduIHB1YmxpYyBrZXk6IDZDRTBFNkY1NUQ3QzU0QkEKUldTNlZIeGQ5ZWJnYk5mY0J4aWRlb0dRdVZ4TGpBSUZXMnRVUFhmdmlLT0tlY084UjJQUHFWWUkK"
    },
    "deep-link": {
      "desktop": {
        "schemes": ["raven"]
      }
    }
  },
  "bundle": {
    "active": true,
    "createUpdaterArtifacts": true,
    "targets": ["nsis", "deb", "rpm"],
    "icon": [
      "icons/icon.ico",
      "icons/icon.icns",
      "icons/icon.png",
      "icons/Raven.png"
    ],
    "resources": {
      "../service/target/release/raven-service.exe": "raven-service.exe"
    },
    "windows": {
      "webviewInstallMode": {
        "type": "skip"
      },
      "nsis": {
        "displayLanguageSelector": true,
        "installerIcon": "icons/icon.ico",
        "headerImage": "icons/nsis-header.bmp",
        "sidebarImage": "icons/nsis-sidebar.bmp",
        "installMode": "perMachine",
        "installerHooks": "installer-hooks.nsh",
        "languages": ["PortugueseBR"]
      }
    }
  }
}
